Bug 988767 - FTBFS: webp test fail on ppc and ppc64
FTBFS: webp test fail on ppc and ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pillow (Show other bugs)
rawhide
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 06:26 EDT by Karsten Hopp
Modified: 2013-08-29 07:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 07:51:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2013-07-26 06:26:30 EDT
Description of problem:
Tests/test_file_webp.py:21: image = Image.open(file_path) failed:
Traceback (most recent call last):
  File "Tests/test_file_webp.py", line 21, in test_read_rgb
    image = Image.open(file_path)
  File "/builddir/build/BUILD/python-imaging-Pillow-75af7e0/build/lib.linux-ppc-2.7/PIL/Image.py", line 2008, in open
    raise IOError("cannot identify image file")
IOError: cannot identify image file
Tests/test_file_webp.py:45: image = Image.open(temp_file) failed:
Traceback (most recent call last):
  File "Tests/test_file_webp.py", line 45, in test_write_rgb
    image = Image.open(temp_file)
  File "/builddir/build/BUILD/python-imaging-Pillow-75af7e0/build/lib.linux-ppc-2.7/PIL/Image.py", line 2008, in open
    raise IOError("cannot identify image file")
IOError: cannot identify image file
Tests/test_file_webp.py:84: image = Image.open(temp_file) failed:
Traceback (most recent call last):
  File "Tests/test_file_webp.py", line 84, in test_write_rgba
    image = Image.open(temp_file)
  File "/builddir/build/BUILD/python-imaging-Pillow-75af7e0/build/lib.linux-ppc-2.7/PIL/Image.py", line 2008, in open
    raise IOError("cannot identify image file")
IOError: cannot identify image file
Tests/test_file_webp.py:101: image = Image.open(file_path) failed:
Traceback (most recent call last):
  File "Tests/test_file_webp.py", line 101, in test_read_rgba
    image = Image.open(file_path)
  File "/builddir/build/BUILD/python-imaging-Pillow-75af7e0/build/lib.linux-ppc-2.7/PIL/Image.py", line 2008, in open
    raise IOError("cannot identify image file")
IOError: cannot identify image file

Version-Release number of selected component (if applicable):
python-pillow-2.1.0-1.fc20

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f20 python-pillow-2.1.0-1.fc20.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1263793
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1263874

Expected results:


Additional info:
Comment 1 Sandro Mani 2013-07-26 06:44:25 EDT
Thanks for the bug report, I'll have a look this weekend.
Comment 2 Sandro Mani 2013-07-27 16:27:57 EDT
This is a libwebp bug: WebPDecode fails. However, libwebp-0.3.1 is out which includes this commit
http://git.chromium.org/gitweb/?p=webm/libwebp.git;a=commit;h=07db70d20fc93594d624f88cec57c8b41e781033
which might be interesting for this problem.

@libwebp maintainer: Could you update to 0.3.1? It might also fix #962091.
Comment 3 Sandro Mani 2013-08-07 12:18:15 EDT
Unfortunately. libwebp-0.3.1 does not fix the issue (scratch build: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1300952)
Comment 4 Sandro Mani 2013-08-29 07:23:03 EDT
Pillow issue after all.
Comment 5 Sandro Mani 2013-08-29 07:51:58 EDT
Packages are built for primary in rawhide, the scratch build for ppc is here [1]. I'll close this bug.

[1] http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1376157

Note You need to log in before you can comment on or make changes to this bug.